Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1379 - missing utmpx
Summary: missing utmpx
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-01 10:26 UTC by enrico.scholz
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-23 21:03:59 UTC


Attachments (Terms of Use)

Description enrico.scholz 1999-03-01 10:26:47 UTC
I'am missing a ">/var/run/utmpx" in rc.sysinit which clears
the user database at glibc 2.1 systems.

Comment 1 Cristian Gafton 1999-03-18 23:38:59 UTC
Fixed oon the beta release

Comment 2 enrico.scholz 1999-06-02 08:33:59 UTC
Bug seems to be back in the official release (initscripts-4.16) and in
the rawhide (4.19) version.

BTW1: /var/log/wtmpx should be handled (touch'ed, chmod'ed,...) like
/var/log/wtmp.
BTW2: In the rawhide version /var/run will be cleared by rc.sysinit
*after* creation of utmp, so utmp will be removed also.

Comment 3 Bill Nottingham 1999-06-14 19:51:59 UTC
the accidental removal of utmp will be fixed in initscripts-4.20.
As for utmpx/wtmpx, currently it's ignored because nothing shipped
in RH6.0 should be using it...

Comment 4 enrico.scholz 1999-06-14 20:44:59 UTC
Yes, you are right. After introducing the utmpx/wtmpx stuff at my
system (early glibc2.1 ages), much new compiled programs where
configured to look for .tmpx files only.
So it seems more programs are using .tmpx than .tmp; but it's just my
problem :(, not yours.

Comment 5 Cristian Gafton 1999-06-16 15:18:59 UTC
enabling utmpx by default has the potential to screw up older
programs. This is something that the user/administrator of the bix has
to decide for himself.

Comment 6 Jeff Johnson 1999-06-21 09:04:59 UTC
But if the user has enabled utmpx, then initscripts needs to do
something like
	[ -s /var/run/utmpx ] && cp /dev/null /var/run/utmpx
Ditto wtmpx.

Comment 7 Bill Nottingham 1999-06-21 18:26:59 UTC
true, but it leads to the problem (at least in the current
initscripts) of determining behavior based on a file you've
alread deleted. :)

Comment 8 Bill Nottingham 1999-06-23 21:03:59 UTC
initscripts-4.22 will zero /var/run/utmpx, /var/log/wtmpx
if it finds them...


Note You need to log in before you can comment on or make changes to this bug.